Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezmediacatalogue/admin/mediaedit.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: mediaedit.php 9823 2003-06-02 08:00:11Z jhe $
5 //
6 // Created on: <24-Jul-2001 13:35:07 ce>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/ezhttptool.php" );
28 // include_once( "ezuser/classes/ezuser.php" );
29 // include_once( "ezuser/classes/ezpermission.php" );
30 // include_once( "ezuser/classes/ezobjectpermission.php" );
31 // include_once( "ezuser/classes/ezauthor.php" );
32
33 // include_once( "ezmediacatalogue/classes/ezmedia.php" );
34 // include_once( "ezmediacatalogue/classes/ezmediacategory.php" );
35 // include_once( "ezmediacatalogue/classes/ezmediatype.php" );
36
37 $user =& eZUser::currentUser();
38
39 $CurrentCategoryID = eZHTTPTool::getVar( "CategoryID" );
40 $CategoryID = eZHTTPTool::getVar( "CategoryID" );
41
42 if ( !$user )
43 {
44 eZHTTPTool::header( "Location: /error/403/" );
45 exit();
46 }
47
48 if ( isset( $NewCategory ) )
49 {
50 eZHTTPTool::header( "Location: /mediacatalogue/category/new/$CurrentCategoryID/" );
51 exit();
52 }
53
54 if ( isset( $Cancel ) )
55 {
56 eZHTTPTool::header( "Location: /mediacatalogue/media/list/" . $CurrentCategoryID . "/" );
57 exit();
58 }
59
60 if ( isset( $DeleteMedia ) )
61 {
62 $Action = "DeleteMedia";
63 }
64
65 if ( isset( $DeleteCategories ) )
66 {
67 $Action = "DeleteCategories";
68 }
69
70 if ( isset( $Action ) && $Action == "New" )
71 {
72 $Name = false;
73 $Description = false;
74 $Caption = false;
75 $mediaType = false;
76 $readGroupArrayID[0] = -1;
77 $writeGroupArrayID[0] = -1;
78 $uploadGroupArrayID[0] = -1;
79 }
80
81 if ( isset( $Action ) && $Action == "Edit" )
82 {
83 $Name = false;
84 $Description = false;
85 $Caption = false;
86 }
87
88 // include_once( "classes/INIFile.php" );
89 // include_once( "classes/eztemplate.php" );
90 // include_once( "classes/ezlog.php" );
91
92 // // include_once( "classes/ezfile.php" );
93 // include_once( "classes/ezmediafile.php" );
94
95 // include_once( "ezmediacatalogue/classes/ezmedia.php" );
96 // include_once( "ezmediacatalogue/classes/ezmediacategory.php" );
97
98 $ini =& eZINI::instance( 'site.ini' );
99 $Language = $ini->variable( "eZMediaCatalogueMain", "Language" );
100
101 $t = new eZTemplate( "kernel/ezmediacatalogue/admin/" . $ini->variable( "eZMediaCatalogueMain", "TemplateDir" ),
102 "kernel/ezmediacatalogue/admin/intl/", $Language, "mediaedit.php" );
103
104 $t->setAllStrings();
105
106 $t->set_file( "media_edit_page", "mediaedit.tpl" );
107
108 $t->set_block( "media_edit_page", "value_tpl", "value" );
109 $t->set_block( "media_edit_page", "multiple_value_tpl", "multiple_value" );
110 $t->set_block( "media_edit_page", "errors_tpl", "errors" );
111
112 $t->set_block( "media_edit_page", "write_group_item_tpl", "write_group_item" );
113 $t->set_block( "media_edit_page", "read_group_item_tpl", "read_group_item" );
114
115 $t->set_block( "media_edit_page", "photographer_item_tpl", "photographer_item" );
116
117 $t->set_block( "media_edit_page", "type_tpl", "type" );
118
119 $t->set_block( "media_edit_page", "attribute_list_tpl", "attribute_list" );
120 $t->set_block( "attribute_list_tpl", "attribute_tpl", "attribute" );
121
122
123 $t->set_var( "errors", "&nbsp;" );
124
125 $t->set_var( "name_value", "$Name" );
126 $t->set_var( "media_description", "$Description" );
127 $t->set_var( "caption_value", "$Caption" );
128
129 $error = false;
130 $nameCheck = true;
131 $captionCheck = false;
132 $descriptionCheck = false;
133 $fileCheck = true;
134 $permissionCheck = false;
135
136 $t->set_block( "errors_tpl", "error_name_tpl", "error_name" );
137 $t->set_var( "error_name", "&nbsp;" );
138
139 $t->set_block( "errors_tpl", "error_caption_tpl", "error_caption" );
140 $t->set_var( "error_caption", "&nbsp;" );
141
142 $t->set_block( "errors_tpl", "error_file_upload_tpl", "error_file_upload" );
143 $t->set_var( "error_file_upload", "&nbsp" );
144
145 $t->set_block( "errors_tpl", "error_description_tpl", "error_description" );
146 $t->set_var( "error_description", "&nbsp;" );
147
148 $t->set_block( "errors_tpl", "error_read_everybody_permission_tpl", "error_read_everybody_permission" );
149 $t->set_var( "error_read_everybody_permission", "&nbsp;" );
150
151 $t->set_block( "errors_tpl", "error_write_everybody_permission_tpl", "error_write_everybody_permission" );
152 $t->set_var( "error_write_everybody_permission", "&nbsp;" );
153
154 // Check for errors when inserting or updating.
155 if ( isset( $Action ) && $Action == "Insert" || isset( $Action ) && $Action == "Update" )
156 {
157 if ( $nameCheck )
158 {
159 if ( empty( $Name ) )
160 {
161 $t->parse( "error_name", "error_name_tpl" );
162 $error = true;
163 }
164 }
165
166 if ( $captionCheck )
167 {
168 if ( empty( $Caption ) )
169 {
170 $t->parse( "error_caption", "error_caption_tpl" );
171 $error = true;
172 }
173 }
174
175 if ( $descriptionCheck )
176 {
177 if ( empty( $Description ) )
178 {
179 $t->parse( "error_description", "error_description_tpl" );
180 $error = true;
181 }
182 }
183
184 if ( $permissionCheck )
185 {
186 if ( empty( $ReadGroupArrayID ) )
187 {
188 $t->parse( "error_read_everybody_permission", "error_read_everybody_permission_tpl" );
189 $error = true;
190 }
191 if ( empty( $WriteGroupArrayID ) )
192 {
193 $t->parse( "error_write_everybody_permission", "error_write_everybody_permission_tpl" );
194 $error = true;
195 }
196
197 }
198
199
200 if ( $fileCheck )
201 {
202 $file = new eZMediaFile();
203 if ( $file->getUploadedFile( "userfile" ) )
204 {
205 $mediaTest = new eZMedia();
206 if ( $mediaTest->checkMedia( $file ) && $mediaTest->setMedia( $file ) )
207 {
208 $fileOK = true;
209 }
210 else
211 {
212 $error = true;
213 $t->parse( "error_file_upload", "error_file_upload_tpl" );
214 }
215 }
216 else
217 {
218 if ( $Action == "Insert" )
219 {
220 $error = true;
221 $t->parse( "error_file_upload", "error_file_upload_tpl" );
222 }
223 }
224 }
225
226 if ( $error )
227 {
228 $t->parse( "errors", "errors_tpl" );
229 if ( count( $WriteGroupArrayID ) != 0 )
230 {
231 foreach ( $WriteGroupArrayID as $unf )
232 {
233 if ( $unf == 0 )
234 $writeGroupArrayID[] = -1;
235 else
236 $writeGroupArrayID[] = $unf;
237 }
238 }
239
240 if ( count( $ReadGroupArrayID ) != 0 )
241 {
242 foreach ( $ReadGroupArrayID as $unf )
243 {
244 if ( $unf == 0 )
245 $readGroupArrayID[] = -1;
246 else
247 $readGroupArrayID[] = $unf;
248 }
249 }
250 }
251 }
252
253 // Insert if error == false
254 if ( ( isset( $Action ) && $Action == "Insert" || isset( $Action ) && $Action == "Update" ) && $error == false )
255 {
256 $media = new eZMedia( $MediaID );
257 $media->setName( $Name );
258 $media->setCaption( $Caption );
259 $media->setDescription( $Description );
260 $media->setUser( $user );
261
262 if ( $fileOK )
263 {
264 $media->setMedia( $file );
265 }
266
267 if ( trim( $NewCreatorName ) != "" &&
268 trim( $NewCreatorEmail ) != "" )
269 {
270 $author = new eZAuthor();
271 $author->setName( $NewCreatorName );
272 $author->setEmail( $NewCreatorEmail );
273 $author->store();
274 $media->setPhotographer( $author );
275 }
276 else
277 {
278 $media->setPhotographer( $PhotoID );
279 }
280
281 $media->store();
282
283 if ( $TypeID == -1 )
284 {
285 $media->removeType();
286 }
287 else
288 {
289 $media->removeType();
290
291 $media->setType( new eZMediaType( $TypeID ) );
292
293 $i = 0;
294 if ( count( $AttributeValue ) > 0 )
295 {
296 foreach ( $AttributeValue as $attribute )
297 {
298 $att = new eZMediaAttribute( $AttributeID[$i] );
299
300 $att->setValue( $media, $attribute );
301
302 $i++;
303 }
304 }
305 }
306
307 if ( count( $ReadGroupArrayID ) > 0 )
308 {
309 foreach ( $ReadGroupArrayID as $Read )
310 {
311 if ( $Read == 0 )
312 $group = -1;
313 else
314 $group = new eZUserGroup( $Read );
315
316 eZObjectPermission::setPermission( $group, $media->id(), "mediacatalogue_media", "r" );
317 }
318 }
319
320 if ( count( $WriteGroupArrayID ) > 0 )
321 {
322 foreach ( $WriteGroupArrayID as $Write )
323 {
324 if ( $Write == 0 )
325 $group = -1;
326 else
327 $group = new eZUserGroup( $Write );
328
329 eZObjectPermission::setPermission( $group, $media->id(), "mediacatalogue_media", "w" );
330 }
331 }
332
333 if ( isset( $Action ) && $Action == "Insert" )
334 {
335 $category = new eZMediaCategory( $CategoryID );
336
337 $media->setCategoryDefinition( $category );
338
339 $categories = array_unique( array_merge( $CategoryArray, $CategoryID ) );
340
341 foreach ( $categories as $categoryItem )
342 {
343 eZMediaCategory::addMedia( $media, $categoryItem );
344 }
345 eZPBLog::writeNotice( "Video added to catalogue: $media->name() from IP: $REMOTE_ADDR" );
346 }
347 elseif ( isset( $Action ) && $Action == "Update" )
348 {
349 $categoryArray = $media->categories();
350 // Calculate new and unused categories
351 $old_maincategory = $media->categoryDefinition();
352
353 if ( $old_maincategory > -1 )
354 $old_categories =& array_unique( array_merge( $old_maincategory->id(),
355 $media->categories( false ) ) );
356
357 $new_categories = array_unique( array_merge( $CategoryID, $CategoryArray ) );
358
359 $category = new eZMediaCategory( $CategoryID );
360 $media->setCategoryDefinition( $category );
361
362 $remove_categories = array_diff( $old_categories, $new_categories );
363 $add_categories = array_diff( $new_categories, $old_categories );
364
365 foreach ( $remove_categories as $categoryItem )
366 {
367 eZMediaCategory::removeMedia( $media, $categoryItem );
368 }
369 foreach ( $add_categories as $categoryItem )
370 {
371 eZMediaCategory::addMedia( $media, $categoryItem );
372 }
373 }
374
375 if ( !isset( $Update ) )
376 {
377 eZHTTPTool::header( "Location: /mediacatalogue/media/list/" . $CategoryID . "/" );
378 exit();
379 }
380 else
381 {
382 //$Action = "Edit";
383 $MediaID = $media->id();
384 }
385 }
386
387 // Delete an media
388 if ( isset( $Action ) && $Action == "DeleteMedia" )
389 {
390 if ( count( $MediaArrayID ) != 0 )
391 {
392 foreach ( $MediaArrayID as $MediaID )
393 {
394 $media = new eZMedia( $MediaID );
395 $media->delete();
396 }
397 }
398
399 // include_once( "classes/ezhttptool.php" );
400 eZHTTPTool::header( "Location: /mediacatalogue/media/list/" . $CurrentCategoryID . "/" );
401 exit();
402 }
403
404 // Delete a category
405 if ( isset( $Action ) && $Action == "DeleteCategories" )
406 {
407 if ( count( $CategoryArrayID ) > 0 )
408 {
409 foreach ( $CategoryArrayID as $categoryID )
410 {
411 $category = new eZMediaCategory( $categoryID );
412 $category->delete();
413 }
414 }
415
416 // include_once( "classes/ezhttptool.php" );
417 eZHTTPTool::header( "Location: /mediacatalogue/media/list/" . $CurrentCategoryID . "/" );
418 exit();
419 }
420
421 // Set the default values to null
422 if ( isset( $Action ) && $Action == "New" || $error )
423 {
424 $t->set_var( "action_value", "Insert" );
425 $t->set_var( "media", "" );
426 $t->set_var( "media_id", "" );
427
428 // author select
429
430 $author = new eZAuthor();
431 $authorArray = $author->getAll();
432 foreach ( $authorArray as $author )
433 {
434 $t->set_var( "photo_id", $author->id() );
435 $t->set_var( "photo_name", $author->name() );
436 $t->parse( "photographer_item", "photographer_item_tpl", true );
437 }
438
439 }
440
441 // Sets the values to the current media
442 if ( isset( $Action ) && $Action == "Edit" )
443 {
444 $media = new eZMedia( $MediaID );
445
446 $t->set_var( "media_id", $media->id() );
447 $t->set_var( "name_value", $media->name() );
448 $t->set_var( "caption_value", $media->caption() );
449 $t->set_var( "media_description", $media->description() );
450 $t->set_var( "action_value", "update" );
451
452 $t->set_var( "media_alt", $media->caption() );
453
454 $photographer = $media->photographer();
455 $PhotographerID = $photographer->id();
456
457 // author select
458
459 $author = new eZAuthor();
460 $authorArray = $author->getAll();
461 foreach ( $authorArray as $author )
462 {
463 if ( $PhotographerID == $author->id() )
464 {
465 $t->set_var( "selected", "selected" );
466 }
467 else
468 {
469 $t->set_var( "selected", "" );
470 }
471 $t->set_var( "photo_id", $author->id() );
472 $t->set_var( "photo_name", $author->name() );
473 $t->parse( "photographer_item", "photographer_item_tpl", true );
474 }
475
476 $mediaType = $media->type();
477
478 $objectPermission = new eZObjectPermission();
479
480 $readGroupArrayID =& $objectPermission->getGroups( $media->id(), "mediacatalogue_media", "r", false );
481 $writeGroupArrayID =& $objectPermission->getGroups( $media->id(), "mediacatalogue_media", "w", false );
482 }
483
484
485 $category = new eZMediaCategory() ;
486 $categoryList =& $category->getTree( );
487
488 $tree = new eZMediaCategory();
489 $treeArray =& $tree->getTree();
490 $user =& eZUser::currentUser();
491
492 $catCount = count( $treeArray );
493 $t->set_var( "num_select_categories", min( $catCount, 10 ) );
494
495 foreach ( $treeArray as $catItem )
496 {
497 if ( eZObjectPermission::hasPermission( $catItem[0]->id(), "media_category", 'w', $user ) == true ||
498 eZMediaCategory::isOwner( eZUser::currentUser(), $catItem[0]->id() ) )
499 {
500 if ( $Action == "Edit" )
501 {
502 $defCat = $media->categoryDefinition();
503
504 if ( is_a( $defCat, "eZMediaCategory" ) )
505 {
506 if ( $media->existsInCategory( $catItem[0] ) &&
507 ( $defCat->id() != $catItem[0]->id() ) )
508 {
509 $t->set_var( "multiple_selected", "selected" );
510 }
511 else
512 {
513 $t->set_var( "multiple_selected", "" );
514 }
515 }
516 else
517 {
518 $t->set_var( "multiple_selected", "" );
519 }
520
521 if ( is_a( $defCat, "eZMediaCategory" ) )
522 {
523 if ( $defCat->id() == $catItem[0]->id() )
524 {
525 $t->set_var( "selected", "selected" );
526 }
527 else
528 {
529 $t->set_var( "selected", "" );
530 }
531 }
532 else
533 {
534 $t->set_var( "selected", "" );
535 }
536 }
537 else
538 {
539 if ( $CategoryID == $catItem[0]->id() )
540 $t->set_var( "selected", "selected" );
541 else
542 $t->set_var( "selected", "" );
543
544 $t->set_var( "multiple_selected", "" );
545 }
546
547
548 $t->set_var( "option_value", $catItem[0]->id() );
549 $t->set_var( "option_name", $catItem[0]->name() );
550
551 if ( $catItem[1] > 0 )
552 $t->set_var( "option_level", str_repeat( "&nbsp;", $catItem[1] ) );
553 else
554 $t->set_var( "option_level", "" );
555
556
557 $t->parse( "value", "value_tpl", true );
558 $t->parse( "multiple_value", "multiple_value_tpl", true );
559 }
560 }
561
562 // Print out all the types.
563 $type = new eZMediaType();
564 $types = $type->getAll();
565
566 if ( isset( $TypeID ) )
567 $mediaType = new eZMediaType( $TypeID );
568
569 foreach ( $types as $typeItem )
570 {
571 if ( is_a( $mediaType, "eZMediaType" ) )
572 {
573 if ( $mediaType->id() == $typeItem->id() )
574 {
575 $t->set_var( "selected", "selected" );
576 }
577 else
578 {
579 $t->set_var( "selected", "" );
580 }
581 }
582 else
583 {
584 $t->set_var( "selected", "" );
585 }
586
587 $t->set_var( "type_id", $typeItem->id( ) );
588 $t->set_var( "type_name", $typeItem->name( ) );
589
590 $t->parse( "type", "type_tpl", true );
591 }
592
593 if ( is_a( $mediaType, "eZMediaType") )
594 {
595 $attributes = $mediaType->attributes();
596
597 foreach ( $attributes as $attribute )
598 {
599 $t->set_var( "attribute_id", $attribute->id( ) );
600 $t->set_var( "attribute_name", $attribute->name( ) );
601
602 if ( !$attribute->value( $media ) )
603 $t->set_var( "attribute_value", $attribute->defaultValue() );
604 else
605 $t->set_var( "attribute_value", $attribute->value( $media ) );
606
607 $t->parse( "attribute", "attribute_tpl", true );
608 }
609 }
610
611 if ( isset( $attributes ) && count( $attributes ) > 0 || !isset( $type ) )
612 {
613 $t->parse( "attribute_list", "attribute_list_tpl" );
614 }
615 else
616 {
617 $t->set_var( "attribute_list", "" );
618 }
619
620 // Print out all the groups.
621 $groups =& eZUserGroup::getAll();
622 foreach ( $groups as $group )
623 {
624 $t->set_var( "group_id", $group->id() );
625 $t->set_var( "group_name", $group->name() );
626
627 $t->set_var( "is_write_selected1", "" );
628 $t->set_var( "is_read_selected1", "" );
629
630 if ( $readGroupArrayID )
631 {
632 foreach ( $readGroupArrayID as $readGroup )
633 {
634 if ( $readGroup == $group->id() )
635 {
636 $t->set_var( "is_read_selected1", "selected" );
637 }
638 elseif ( $readGroup == -1 )
639 {
640 $t->set_var( "read_everybody", "selected" );
641 }
642 else
643 {
644 $t->set_var( "is_read_selected", "" );
645 }
646 }
647 }
648
649 if ( isset( $Action ) && $Action == "new" )
650 $t->set_var( "read_everybody", "selected" );
651 $t->parse( "read_group_item", "read_group_item_tpl", true );
652
653 if ( $writeGroupArrayID )
654 {
655 foreach ( $writeGroupArrayID as $writeGroup )
656 {
657 if ( $writeGroup == $group->id() )
658 {
659 $t->set_var( "is_write_selected1", "selected" );
660 }
661 elseif ( $writeGroup == -1 )
662 {
663 $t->set_var( "write_everybody", "selected" );
664 }
665 else
666 {
667 $t->set_var( "is_write_selected", "" );
668 }
669 }
670 }
671
672 $t->parse( "write_group_item", "write_group_item_tpl", true );
673 }
674
675 $t->pparse( "output", "media_edit_page" );
676
677 ?>
$categoryArray
$categoryArray
Definition: adedit.php:379
$i
$i
Definition: admin/adlist.php:91
$authorArray
$authorArray
Definition: admin/articleedit.php:835
$group
$group
Definition: admin/articleedit.php:799
$author
$author
Definition: admin/articleedit.php:834
$Description
$Description
Definition: articlelistrss.php:38
eZAuthor
Definition: ezauthor.php:40
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZHTTPTool\getVar
static getVar( $name, $onlyCheckPost=false)
Definition: ezhttptool.php:55
eZMediaAttribute
Definition: ezmediaattribute.php:49
eZMediaCategory
Definition: ezmediacategory.php:55
eZMediaCategory\addMedia
addMedia(&$value, $categoryid=false)
Definition: ezmediacategory.php:504
eZMediaCategory\isOwner
isOwner(&$user, &$mediacategory)
Definition: ezmediacategory.php:444
eZMediaCategory\removeMedia
removeMedia(&$value, $categoryid=false)
Definition: ezmediacategory.php:548
eZMediaFile
Definition: ezmediafile.php:68
eZMediaType
Definition: ezmediatype.php:33
eZMedia
Definition: ezmedia.php:65
eZObjectPermission
Definition: ezobjectpermission.php:55
eZObjectPermission\hasPermission
static hasPermission( $objectID, $moduleTable, $permission, $user=false)
Definition: ezobjectpermission.php:76
eZObjectPermission\setPermission
static setPermission( $group, $objectID, $moduleTable, $permission)
Definition: ezobjectpermission.php:236
eZPBLog\writeNotice
static writeNotice( $notice)
Definition: ezpblog.php:166
eZTemplate
Definition: eztemplate.php:107
eZUserGroup
Definition: ezusergroup.php:66
eZUserGroup\getAll
static & getAll( $as_object=true)
Definition: ezusergroup.php:197
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$Action
$Action
Definition: companysearch.php:80
$categories
$categories
Definition: ezarticle/admin/categoryedit.php:636
$media
if(isset( $AddMedia)) $media
Definition: ezarticle/admin/medialist.php:76
$file
$file
Definition: ezfilemanager/user/filedownload.php:35
$captionCheck
$captionCheck
Definition: ezmediacatalogue/admin/mediaedit.php:131
$groups
$groups
Definition: ezmediacatalogue/admin/mediaedit.php:621
$type
foreach( $treeArray as $catItem) $type
Definition: ezmediacatalogue/admin/mediaedit.php:563
$CategoryID
$CategoryID
Definition: ezmediacatalogue/admin/mediaedit.php:40
$t
$t
Definition: ezmediacatalogue/admin/mediaedit.php:101
$treeArray
$treeArray
Definition: ezmediacatalogue/admin/mediaedit.php:489
$descriptionCheck
$descriptionCheck
Definition: ezmediacatalogue/admin/mediaedit.php:132
$ini
if(! $user) if(isset( $NewCategory)) if(isset( $Cancel)) if(isset( $DeleteMedia)) if(isset( $DeleteCategories)) if(isset( $Action) && $Action=="New") if(isset( $Action) && $Action=="Edit") $ini
Definition: ezmediacatalogue/admin/mediaedit.php:98
$user
$user
Definition: ezmediacatalogue/admin/mediaedit.php:37
$category
if(isset( $Action) && $Action=="Insert"||isset( $Action) && $Action=="Update") if((isset( $Action) && $Action=="Insert"||isset( $Action) && $Action=="Update") && $error==false) if(isset( $Action) && $Action=="DeleteMedia") if(isset( $Action) && $Action=="DeleteCategories") if(isset( $Action) && $Action=="New"|| $error) if(isset( $Action) && $Action=="Edit") $category
Definition: ezmediacatalogue/admin/mediaedit.php:485
$tree
$tree
Definition: ezmediacatalogue/admin/mediaedit.php:488
$Language
$Language
Definition: ezmediacatalogue/admin/mediaedit.php:99
$catCount
$catCount
Definition: ezmediacatalogue/admin/mediaedit.php:492
$types
$types
Definition: ezmediacatalogue/admin/mediaedit.php:564
$permissionCheck
$permissionCheck
Definition: ezmediacatalogue/admin/mediaedit.php:134
$nameCheck
$nameCheck
Definition: ezmediacatalogue/admin/mediaedit.php:130
$categoryList
$categoryList
Definition: ezmediacatalogue/admin/mediaedit.php:486
$CurrentCategoryID
$CurrentCategoryID
Definition: ezmediacatalogue/admin/mediaedit.php:39
$fileCheck
$fileCheck
Definition: ezmediacatalogue/admin/mediaedit.php:133
$error
$error
Definition: ezmediacatalogue/admin/mediaedit.php:129
exit
exit
Definition: folder.php:81
$Name
$Name
Definition: polledit.php:250
$categoryID
else $categoryID
Definition: productview.php:66
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.